type t 
val to_Angstrom : t -> t
val to_Bohr : t -> t
val zero : t
val of_float_triplet : (float * float * float) -> [< `Angstrom | `Bohr ] -> t
val of_3_floats : float -> float -> float -> [< `Angstrom | `Bohr ] -> t
val ( |. ) : float -> t -> t
val ( |- ) : t -> t -> t
val ( |+ ) : t -> t -> t
val dot : t -> t -> float
val norm : t -> float
val to_string : t -> string
val to_tuple : t -> (float * float * float)
val x : t -> float
val y : t -> float
val z : t -> float
val coord : t -> int -> float

